python3-javapackages-5.3.0-86.1.noarch.rpm


Advertisement

Description

python3-javapackages - Module for handling various files for Java packaging

Property Value
Distribution openSUSE Tumbleweed
Repository Education all
Package filename python3-javapackages-5.3.0-86.1.noarch.rpm
Package name python3-javapackages
Package version 5.3.0
Package release 86.1
Package architecture noarch
Package type rpm
Category Development/Languages/Java
Homepage https://github.com/fedora-java/javapackages
License BSD-3-Clause
Maintainer -
Download size 68.18 KB
Installed size 225.46 KB
Module for handling, querying and manipulating of various files for Java
packaging in Linux distributions

Alternatives

Package Version Architecture Repository
python3-javapackages-5.3.0-83.1.noarch.rpm 5.3.0 noarch JAVA
python3-javapackages-5.3.0-5.1.noarch.rpm 5.3.0 noarch openSUSE Oss
python3-javapackages - - -

Requires

Name Value
python(abi) = 3.7
python3-lxml -
python3-six -

Provides

Name Value
python-javapackages = 5.3.0-86.1
python3-javapackages = 5.3.0-86.1

Obsoletes

Name Value
python-javapackages < 5.3.0-86.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-javapackages-5.3.0-86.1.noarch.rpm
Source Package javapackages-tools-extras-5.3.0-86.1.src.rpm

Install Howto

  1. Add the Education repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/Education/openSUSE_Tumbleweed/ education
  2. Install python3-javapackages rpm package:
    # zypper install python3-javapackages

Files

Path
/usr/lib/python3.7/site-packages/javapackages/__init__.py
/usr/lib/python3.7/site-packages/javapackages/version.py
/usr/lib/python3.7/site-packages/javapackages-5.3.0-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/javapackages-5.3.0-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/javapackages-5.3.0-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/javapackages-5.3.0-py3.7.egg-info/top_level.txt
/usr/lib/python3.7/site-packages/javapackages/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/__pycache__/version.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/cache/__init__.py
/usr/lib/python3.7/site-packages/javapackages/cache/cache.py
/usr/lib/python3.7/site-packages/javapackages/cache/metadata.py
/usr/lib/python3.7/site-packages/javapackages/cache/osgi.py
/usr/lib/python3.7/site-packages/javapackages/cache/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/cache/__pycache__/cache.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/cache/__pycache__/metadata.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/cache/__pycache__/osgi.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__init__.py
/usr/lib/python3.7/site-packages/javapackages/common/binding.py
/usr/lib/python3.7/site-packages/javapackages/common/config.py
/usr/lib/python3.7/site-packages/javapackages/common/exception.py
/usr/lib/python3.7/site-packages/javapackages/common/manifest.py
/usr/lib/python3.7/site-packages/javapackages/common/mock.py
/usr/lib/python3.7/site-packages/javapackages/common/osgi.py
/usr/lib/python3.7/site-packages/javapackages/common/strutils.py
/usr/lib/python3.7/site-packages/javapackages/common/util.py
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/binding.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/config.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/exception.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/manifest.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/mock.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/osgi.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/strutils.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/common/__pycache__/util.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/ivy/__init__.py
/usr/lib/python3.7/site-packages/javapackages/ivy/ivyfile.py
/usr/lib/python3.7/site-packages/javapackages/ivy/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/ivy/__pycache__/ivyfile.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/maven/__init__.py
/usr/lib/python3.7/site-packages/javapackages/maven/artifact.py
/usr/lib/python3.7/site-packages/javapackages/maven/dependency.py
/usr/lib/python3.7/site-packages/javapackages/maven/exclusion.py
/usr/lib/python3.7/site-packages/javapackages/maven/extension.py
/usr/lib/python3.7/site-packages/javapackages/maven/plugin.py
/usr/lib/python3.7/site-packages/javapackages/maven/pom.py
/usr/lib/python3.7/site-packages/javapackages/maven/pomreader.py
/usr/lib/python3.7/site-packages/javapackages/maven/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/maven/__pycache__/artifact.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/maven/__pycache__/dependency.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/maven/__pycache__/exclusion.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/maven/__pycache__/extension.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/maven/__pycache__/plugin.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/maven/__pycache__/pom.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/maven/__pycache__/pomreader.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/metadata/__init__.py
/usr/lib/python3.7/site-packages/javapackages/metadata/alias.py
/usr/lib/python3.7/site-packages/javapackages/metadata/artifact.py
/usr/lib/python3.7/site-packages/javapackages/metadata/dependency.py
/usr/lib/python3.7/site-packages/javapackages/metadata/exclusion.py
/usr/lib/python3.7/site-packages/javapackages/metadata/metadata.py
/usr/lib/python3.7/site-packages/javapackages/metadata/skippedartifact.py
/usr/lib/python3.7/site-packages/javapackages/metadata/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/metadata/__pycache__/alias.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/metadata/__pycache__/artifact.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/metadata/__pycache__/dependency.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/metadata/__pycache__/exclusion.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/metadata/__pycache__/metadata.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/metadata/__pycache__/skippedartifact.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/xmvn/__init__.py
/usr/lib/python3.7/site-packages/javapackages/xmvn/xmvn_config.py
/usr/lib/python3.7/site-packages/javapackages/xmvn/xmvn_resolve.py
/usr/lib/python3.7/site-packages/javapackages/xmvn/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/xmvn/__pycache__/xmvn_config.cpython-37.pyc
/usr/lib/python3.7/site-packages/javapackages/xmvn/__pycache__/xmvn_resolve.cpython-37.pyc
/usr/share/licenses/python3-javapackages/LICENSE

Changelog

2019-04-06 - Fridrich Strba <fstrba@suse.com>
- Rename gradle-local and ivy-local to javapackages-gradle and
javapackages-ivy and let them depend only on javapackages-tools
and javapackages-local. These packages only install files
produced during the javapackages-tools build. The dependencies
will be pulled by gradle-local, ivy-local and maven-local
meta-packages built in a separate spec file.
2019-04-04 - Fridrich Strba <fstrba@suse.com>
- Split maven-local meta-package out of javapackages-tools spec
file
2019-04-03 - Fridrich Strba <fstrba@suse.com>
- Make the ivy-local and maven-local sub-packages depend on the
right stuff, so that they actually can be used for building
2019-03-04 - Fridrich Strba <fstrba@suse.com>
- Provide both com.sun:tools and sun.jdk:jconsole that are part of
standard OpenJDK installation. These provides cannot be generated
from metadata due to build sequence.
2018-11-27 - Fridrich Strba <fstrba@suse.com>
- Modified patch:
* suse-use-libdir.patch
+ fix directories for eclipse.conf too
2018-11-11 - Fridrich Strba <fstrba@suse.com>
- Make the javapackages-local package depend on java-devel. It is
used for package building and this avoids each package to require
java-devel itself.
2018-11-05 - Fridrich Strba <fstrba@suse.com>
- Replace the occurences of /usr/lib by libdir in configuration
files too
2018-10-24 - Fridrich Strba <fstrba@suse.com>
- Update to version 5.3.0
- Modified patch:
* suse-no-epoch.patch
+ rediff to changed code
- Build the :extras flavour as noarch
2018-10-24 - Fridrich Strba <fstrba@suse.com>
- Added patch:
* suse-no-epoch.patch
+ we did not bump epoch of OpenJDK packages in SUSE
+ fix a potential generation of unresolvable requires
+ adapt the tests to not expect the epoch
2018-07-24 - tchvatal@suse.com
- Switch to multibuild layout

See Also

Package Description
python3-numpy-1.16.2-28.8.i586.rpm NumPy array processing for numbers, strings, records and objects
python3-numpy-1.16.2-28.8.x86_64.rpm NumPy array processing for numbers, strings, records and objects
python3-numpy-devel-1.16.2-28.8.i586.rpm Development files for numpy applications
python3-numpy-devel-1.16.2-28.8.x86_64.rpm Development files for numpy applications
python3-opencv-3.4.3-122.17.i586.rpm Python 3 bindings for apps which use OpenCV
python3-opencv-3.4.3-122.17.x86_64.rpm Python 3 bindings for apps which use OpenCV
python3-service_identity-18.1.0-22.2.noarch.rpm Service identity verification for pyOpenSSL
python3-tbb-2019_20190320-65.1.i586.rpm Python 3 support for Threading Building Blocks (TBB)
python3-tbb-2019_20190320-65.1.x86_64.rpm Python 3 support for Threading Building Blocks (TBB)
qml-box2d-0+git.1451747535.1b37be7-9.35.i586.rpm QML Box2D plugin
qml-box2d-0+git.1451747535.1b37be7-9.35.x86_64.rpm QML Box2D plugin
qtlockedfile-2.4.1git.1366034362-1.35.i586.rpm TQFile extension with advisory locking functions
qtlockedfile-2.4.1git.1366034362-1.35.x86_64.rpm TQFile extension with advisory locking functions
qtlockedfile-devel-2.4.1git.1366034362-1.35.i586.rpm The QtLockedFile class extends QFile with advisory locking functions
qtlockedfile-devel-2.4.1git.1366034362-1.35.x86_64.rpm The QtLockedFile class extends QFile with advisory locking functions
Advertisement
Advertisement